import * as React from 'react';
import { GraphContext, IGraphContext } from '../GraphContext';
interface IGroupingCreateDialogProps {
    isOpen: boolean;
    toggleDialog: () => any;
}
interface IGroupingCreateDialogState {
    label: string;
    color?: string;
    isProcessing: boolean;
}
export declare class GroupingCreateDialog extends React.Component<IGroupingCreateDialogProps, IGroupingCreateDialogState> {
    static contextType: React.Context<IGraphContext | undefined>;
    context: React.ContextType<typeof GraphContext>;
    state: IGroupingCreateDialogState;
    constructor(props: any);
    onChangeLabel(e: React.ChangeEvent<HTMLInputElement>): void;
    onChangeColor(color: string): void;
    onSubmit(e: React.ChangeEvent<HTMLFormElement>): void;
    render(): JSX.Element;
}
export {};
